let KeywordMatcher = require('./keyword_interpreter/keyword-matcher')({API_AI_DEVELOPER: "1c3021ef639e45428f8ae544ab9f7331"})
const ExpressionBuilder = require('./keyword_interpreter/expression-builder')
const Intent = require('./keyword_interpreter/intent-model')

let intent = new Intent("cotacao");
intent.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("preco"));
intent.addExpression(ExpressionBuilder.newInstance().contains().date());
intent.addExpression(ExpressionBuilder.newInstance().notContains().keyWordDialogFlow("subst_dayuse"));


let intent2 = new Intent("cotacao_pessoas");
intent2.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("preco"));
intent2.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("substantivo_pessoas"));
intent2.addExpression(ExpressionBuilder.newInstance().contains().number());
intent2.addExpression(ExpressionBuilder.newInstance().notContains().keyWordDialogFlow("subst_dayuse"));


let intent3 = new Intent("cotacao_grupo");
intent3.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("preco"));
intent3.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("subst_grupo"));
intent3.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("substantivo_pessoas"));
intent3.addExpression(ExpressionBuilder.newInstance().contains().number());
intent3.addExpression(ExpressionBuilder.newInstance().notContains().keyWordDialogFlow("subst_dayuse"));


let intent4 = new Intent("dayuse");
intent4.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("preco"));
intent4.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("subst_dayuse"));


let intent5 = new Intent("cadeirante");
intent5.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("subs_cadeirante"));


let intent6 = new Intent("curriculium");
intent6.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("subst_curriculo"));
// intent4.addExpression(ExpressionBuilder.newInstance().contains().keyWordDialogFlow("subst_dayuse"));


let expressions = [intent];


//
async function execute() {

    // let cont = 0;

    let obj = {
        "text": "Qual valor das diárias do dia 19/4 ao dia 22/4???",
        "intents": [{
            "id": 1,
            "intent": "cotacao",
            "expressions": [{"entity": "preco", "operation": "contains", "entityType": "dialogFlow"}, {
                "entity": "date",
                "operation": "contains",
                "entityType": "system"
            }, {
                "entity": "Subst_pacotes_promocoes",
                "operation": "not_contains",
                "entityType": "dialogFlow"
            }, {
                "entity": "subst_dayuse",
                "operation": "not_contains",
                "entityType": "dialogFlow"
            }, {"entity": "subst_grupo", "operation": "not_contains", "entityType": "dialogFlow"}],
            "examples": [{"text": "Qual valor das diárias do dia 19/4 ao dia 22/4", "match": null}]
        }]
    }


    let globalCache = await KeywordMatcher.refreshCache();

    // let globalCache = await KeywordMatcher.refreshCache();

    let base = await KeywordMatcher.getIntent(obj.text, obj.intents, globalCache)

    console.log(base);


}

//
// execute();